| Home | Libraries | People | FAQ | More

##### params_encoded_ref::unset

Remove the value on an element.

###### Synopsis

    iterator
    unset(
        iterator pos);

###### Description

This function removes the value of an element at the specified position. After the call returns, `has_value` for the element is false.

All iterators that are equal to `pos` or come after are invalidated.

###### Example

    url u( "?first=John&last=Doe" );

    u.encoded_params().unset( u.encoded_params().begin() );

    assert( u.encoded_query() == "first&last=Doe" );

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Throws nothing.

###### Return Value

An iterator to the element.

###### Parameters

Name | Description
--- | ---
`pos` | An iterator to the element.